unit Caption;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Capcombo, Capedit, TabNotBk;

type
  TForm1 = class(TForm)
    btnClear: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    edName: TEdit;
    edAddress1: TEdit;
    edCity: TEdit;
    cmbState: TComboBox;
    edZip: TEdit;
    edAddress2: TEdit;
    GroupBox2: TGroupBox;
    capName: TCaptionEdit;
    capAddress1: TCaptionEdit;
    capAddress2: TCaptionEdit;
    capCity: TCaptionEdit;
    capState: TCaptionCombo;
    capZip: TCaptionEdit;
    procedure FormCreate(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  States : Array[1..50] of string[2] =
    ('AL','AK','AZ','AR','CA','CO','CT','DE','FL','GA',
     'HI','ID','IL','IN','IA','KS','KY','LA','ME','MD',
     'MA','MI','MN','MS','MO','MT','NE','NV','NH','NJ',
     'NM','NY','NC','ND','OH','OK','OR','PA','RI','SC',
     'SD','TN','TX','UT','VT','VA','WA','WV','WI','WY');

procedure TForm1.FormCreate(Sender: TObject);
var
  i : integer;
begin
  (* Add all the states to the combo boxes *)
  for i:=Low(States) to High(States) do begin
    cmbState.Items.Add(States[i]);
    capState.Items.Add(States[i]);
  end;
end;

procedure TForm1.btnClearClick(Sender: TObject);
var
  i : integer;
begin
  (* Clear all the controls *)
  with Groupbox1 do
    for i:=0 to ControlCount-1 do
      if Controls[i] is TEdit then TEdit(Controls[i]).Text:=''
        else if Controls[i] is TComboBox then TComboBox(Controls[i]).ItemIndex:=-1;
  with Groupbox2 do
    for i:=0 to ControlCount-1 do
      if Controls[i] is TEdit then TEdit(Controls[i]).Text:=''
        else if Controls[i] is TCaptionCombo then TCaptionCombo(Controls[i]).ItemIndex:=-1
end;

end.
